#usage ./AIXPConnRes.sh filter  
#Since IFS is changed later, replace spaces in $1 to newlines
filter=$(echo "`echo $1 | tr ' ' '\n'`")
#filter=$1
#Set the IFS to newline char
OIFS=$IFS
IFS="
"
#for each user in /etc/passwd
for userline in `cat /etc/passwd | $filter`
do
userline=`(echo $userline | tr '\n' ' ')`
#get user name
  username=$(echo "`echo $userline | cut -d: -f1`")
  #username=$(echo "`echo $userline | awk -F\":\" '{print $1}'`")
#initialize all other parameters

#get login line.This line is not in a : separated format
    	  lsline=$(echo "`lsuser ALL $username|tr ' ' ':'`")
#get homedirpermissions
        homedirperms=""
	home=$(echo "`echo $userline | cut -d: -f6`")  
	if [ "$home" != "" ]
  	  then 
	  homedirperms=$(echo "`ls -ld $home | cut -d\" \" -f1`")

#get password last change date
	pwdlastchange=$(echo "`logins -xol $username | cut -d ':' -f 9`")
#get at and cron permissions
          at=0
  	  if test -e /var/adm/cron/at.allow
          then
	      allow=$(echo "`cat /var/adm/cron/at.allow | grep -e ^$username$`")
              if [ "$allow" = "" ]
	      then 
		  at=0
	      else
		  at=1
	      fi
	  elif test -e /var/adm/cron/at.deny
          then
	     allow=$(echo "`cat /var/adm/cron/at.deny | grep -e ^$username$`")
             if [ "$allow" = "" ]
	     then
	        at=1
	     else
                at=0
	     fi
          elif [ "$username" = "root" ]
          then
             at=1
          fi

          cron=0
	  if test -e /var/adm/cron/cron.allow
          then
	      allow=$(echo "`cat /var/adm/cron/cron.allow | grep -e ^$username$`")
	      if [ "$allow" = "" ]
	      then
		  cron=0
	      else
		  cron=1
	      fi
	  elif test -e /var/adm/cron/cron.deny
	  then
	     allow=$(echo "`cat /var/adm/cron/cron.deny | grep -e ^$username$`")
	     if [ "$allow" = "" ]
	     then
	        cron=1
	     else
	        cron=0
	     fi
	  elif [ "$username" = "root" ]
          then
             cron=1
          fi

#get pwdadm flags
          pwdflags=$(echo "`pwdadm -q $username | awk '/flags/' | cut -f 3 -d " "`")
          
	oneLine=$(echo "$lsline:$homedirperms:$pwdlastchange:$at:$cron:$pwdflags:PosixConnectorRoot") 
	 echo $oneLine
	fi
done 
IFS=$OIFS